View Issue Details

IDProjectCategoryView StatusLast Update
0002199Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2017-06-07 18:04
Reporterthe.despoAssigned ToChocohead 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSLinux Debian 8.7OS Version3.16.0-4-amd64
Product Version 
Target VersionFixed in VersionBuilds for MC 1.11.x 
Summary0002199: Server Crash while changing the Redstone Signal Energy Storage
DescriptionThe whole Server is crashing if one player is trying to change the redstone signal of a enegy storage. In our case it was an MFSU.
Steps To Reproduceonly try to change the redstone signal of an Energy Storage (MFSU)
Additional InformationThis Issue comes up only at the release version from IC2 1.11.2 (industrialcraft-2-2.7.59-ex111) after downgrading to the previous version of IC2 (industrialcraft-2-2.7.33-ex111) every is working fine.

Server crash log is attached.
TagsNo tags attached.
Minecraft Version1.11.2

Relationships

has duplicate 0002201 resolvedChocohead Server crashes if you charge a jetpack in a CESU 

Activities

the.despo

2017-06-05 07:32

reporter  

crash-2017-06-05_00.48.51-server.txt (4,836 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  IC2core (industrialcraft-2-2.7.59-ex111.jar)
  MicdoodlePlugin (MicdoodleCore-1.11.2-4.0.0.106.jar)
Contact their authors BEFORE contacting forge

// Don't be sad. I'll do better next time, I promise!

Time: 6/5/17 12:48 AM
Description: Exception in server tick loop

java.lang.RuntimeException: invalid tier for ic2.core.block.comp.Energy$EnergyNetDelegateDual@74f9630b
	at ic2.core.energy.leg.EnergyCalculatorLeg.runSyncStep(EnergyCalculatorLeg.java:87)
	at ic2.core.energy.grid.GridUpdater.startTransferCalc(GridUpdater.java:68)
	at ic2.core.energy.grid.EnergyNetLocal.onTickStart(EnergyNetLocal.java:169)
	at ic2.core.energy.grid.EventHandler.onWorldTick(EventHandler.java:60)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_78_EventHandler_onWorldTick_WorldTickEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:185)
	at net.minecraftforge.fml.common.FMLCommonHandler.onPreWorldTick(FMLCommonHandler.java:282)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:705)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:384)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:624)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:482)
	at java.lang.Thread.run(Thread.java:748)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.11.2
	Operating System: Linux (amd64) version 3.16.0-4-amd64
	Java Version: 1.8.0_131, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 1460098504 bytes (1392 MB) / 2859991040 bytes (2727 MB) up to 5726797824 bytes (5461 MB)
	JVM Flags: 1 total; -Xmx6144M
	IntCache: cache: 0, tcache: 0, allocated: 5, tallocated: 104
	FML: MCP 9.38 Powered by Forge 13.20.0.2312 27 mods loaded, 27 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	minecraft{1.11.2} [Minecraft] (minecraft.jar) 
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.11.2-13.20.0.2312-universal.jar) 
	UCHIJAAAA	forge{13.20.0.2312} [Minecraft Forge] (forge-1.11.2-13.20.0.2312-universal.jar) 
	UCHIJAAAA	Micdoodlecore{} [Micdoodle8 Core] (minecraft.jar) 
	UCHIJAAAA	animania{1.1.2} [Animania] (animania-1.11.2-1.1.2.jar) 
	UCHIJAAAA	biomesoplenty{6.1.0.2238} [Biomes O' Plenty] (BiomesOPlenty-1.11.2-6.1.0.2238-universal.jar) 
	UCHIJAAAA	buildcraftlib{7.99.4} [BuildCraft Lib] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftcore{7.99.4} [BuildCraft] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftfactory{7.99.4} [BC Factory] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcrafttransport{7.99.4} [BC Transport] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftbuilders{7.99.4} [BC Builders] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftenergy{7.99.4} [BC Energy] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftrobotics{7.99.4} [BC Robotics] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	buildcraftsilicon{7.99.4} [BC Silicon] (buildcraft-7.99.4.jar) 
	UCHIJAAAA	chiselsandbits{13.10} [Chisels & Bits] (chiselsandbits-13.10.jar) 
	UCHIJAAAA	ptrmodellib{1.0.0} [ptrmodellib] (Decocraft-2.4.2_1.11.2.jar) 
	UCHIJAAAA	props{2.4.2} [Decocraft] (Decocraft-2.4.2_1.11.2.jar) 
	UCHIJAAAA	dynmap{2.4-3} [Dynmap] (Dynmap-2.4-forge-1.11.2.jar) 
	UCHIJAAAA	flatcoloredblocks{mc1.11-5.1} [Flat Colored Blocks] (flatcoloredblocks-mc1.11-5.1.jar) 
	UCHIJAAAA	ic2{2.7.59-ex111} [IndustrialCraft 2] (industrialcraft-2-2.7.59-ex111.jar) 
	UCHIJAAAA	galacticraftcore{4.0.0} [Galacticraft Core] (GalacticraftCore-1.11.2-4.0.0.106.jar) 
	UCHIJAAAA	galacticraftplanets{4.0.0} [Galacticraft Planets] (Galacticraft-Planets-1.11.2-4.0.0.106.jar) 
	UCHIJAAAA	jei{4.4.0.283} [Just Enough Items] (jei_1.11.2-4.4.0.283.jar) 
	UCHIJAAAA	mercurius_updater{1.0} [mercurius_updater] (MercuriusUpdater-1.11.2.jar) 
	UCHIJAAAA	harvestcraft{1.11.2g} [Pam's HarvestCraft] (Pam's HarvestCraft 1.11.2h.jar) 
	UCHIJAAAA	worldedit{6.1.6} [WorldEdit] (worldedit-forge-mc1.11-6.1.6-dist.jar) 
	Loaded coremods (and transformers): 
IC2core (industrialcraft-2-2.7.59-ex111.jar)
  
MicdoodlePlugin (MicdoodleCore-1.11.2-4.0.0.106.jar)
  micdoodle8.mods.miccore.MicdoodleTransformer
	Profiler Position: N/A (disabled)
	Player Count: 0 / 20; []
	Is Modded: Definitely; Server brand changed to 'fml,forge'
	Type: Dedicated Server (map_server.txt)

Chocohead

2017-06-05 17:17

developer   ~0005293

Ah yeah, legacy code meets proper checking. Fixed in IC2 2.7.62

Issue History

Date Modified Username Field Change
2017-06-05 07:32 the.despo New Issue
2017-06-05 07:32 the.despo File Added: crash-2017-06-05_00.48.51-server.txt
2017-06-05 17:17 Chocohead Note Added: 0005293
2017-06-05 17:17 Chocohead Status new => resolved
2017-06-05 17:17 Chocohead Fixed in Version => Builds for MC 1.11.x
2017-06-05 17:17 Chocohead Resolution open => fixed
2017-06-05 17:17 Chocohead Assigned To => Chocohead
2017-06-07 18:04 Chocohead Relationship added has duplicate 0002201